MacLayoutStyle (JGoodies Forms 1.6 API)
Date: 2012-07-24

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.forms.util
Class MacLayoutStyle

    java.lang.Object
      com.jgoodies.forms.util.LayoutStyle
          com.jgoodies.forms.util.MacLayoutStyle

    public final class MacLayoutStyle

extends LayoutStyle

A `LayoutStyle` that aims to provide layout constants as defined by Microsoft's User Experience Guidelines.

Version:
  $Revision: 1.12 $
Author:
  Karsten Lentzsch

Method Summary
`ConstantSize` | `getButtonBarPad()` Returns a pad used to separate a button bar from a component.
`Size` | `getDefaultButtonHeight()` Returns this style's default button height.
`Size` | `getDefaultButtonWidth()` Returns this style's default button width.
`ConstantSize` | `getDialogMarginX()` Returns this style's horizontal margin for general dialogs.
`ConstantSize` | `getDialogMarginY()` Returns this style's vertical margin for general dialogs.
`ConstantSize` | `getLabelComponentPadX()` Returns a gap used to separate a label and associated control.
`ConstantSize` | `getLabelComponentPadY()` Returns a gap used to separate a label and associated control.
`ConstantSize` | `getLinePad()` Returns a narrow vertical pad used to separate lines.
`ConstantSize` | `getNarrowLinePad()` Returns a narrow vertical pad used to separate lines.
`ConstantSize` | `getParagraphPad()` Returns a pad used to separate paragraphs.
`ConstantSize` | `getRelatedComponentsPadX()` Returns a horizontal gap used to separate related controls.
`ConstantSize` | `getRelatedComponentsPadY()` Returns a vertical gap used to separate related controls.
`ConstantSize` | `getTabbedDialogMarginX()` Returns this style's horizontal margin for dialogs that consist of a tabbed pane.
`ConstantSize` | `getTabbedDialogMarginY()` Returns this style's vertical margin for dialogs that consist of a tabbed pane.
`ConstantSize` | `getUnrelatedComponentsPadX()` Returns a horizontal gap used to separate unrelated controls.
`ConstantSize` | `getUnrelatedComponentsPadY()` Returns a vertical gap used to separate unrelated controls.

Methods inherited from class com.jgoodies.forms.util.LayoutStyle
`getCurrent, setCurrent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getDefaultButtonWidth

    public Size getDefaultButtonWidth()

  Description copied from class: `LayoutStyle`
  Returns this style's default button width.

  Specified by:
    `getDefaultButtonWidth` in class `LayoutStyle`
  Returns:
    the default button width
  See Also:
    `LayoutStyle.getDefaultButtonHeight()`

### getDefaultButtonHeight

    public Size getDefaultButtonHeight()

  Description copied from class: `LayoutStyle`
  Returns this style's default button height.

  Specified by:
    `getDefaultButtonHeight` in class `LayoutStyle`
  Returns:
    the default button height
  See Also:
    `LayoutStyle.getDefaultButtonWidth()`

### getDialogMarginX

    public ConstantSize getDialogMarginX()

  Description copied from class: `LayoutStyle`
  Returns this style's horizontal margin for general dialogs.

  Specified by:
    `getDialogMarginX` in class `LayoutStyle`
  Returns:
    the horizontal margin for general dialogs
  See Also:
    `LayoutStyle.getDialogMarginY()`, `LayoutStyle.getTabbedDialogMarginX()`

### getDialogMarginY

    public ConstantSize getDialogMarginY()

  Description copied from class: `LayoutStyle`
  Returns this style's vertical margin for general dialogs.

  Specified by:
    `getDialogMarginY` in class `LayoutStyle`
  Returns:
    the vertical margin for general dialogs
  See Also:
    `LayoutStyle.getDialogMarginX()`, `LayoutStyle.getTabbedDialogMarginY()`

### getTabbedDialogMarginX

    public ConstantSize getTabbedDialogMarginX()

  Description copied from class: `LayoutStyle`
  Returns this style's horizontal margin for dialogs that consist of a tabbed pane.

  Specified by:
    `getTabbedDialogMarginX` in class `LayoutStyle`
  Returns:
    the horizontal margin for dialogs that consist of a tabbed pane
  See Also:
    `LayoutStyle.getTabbedDialogMarginY()`, `LayoutStyle.getDialogMarginX()`

### getTabbedDialogMarginY

    public ConstantSize getTabbedDialogMarginY()

  Description copied from class: `LayoutStyle`
  Returns this style's vertical margin for dialogs that consist of a tabbed pane.

  Specified by:
    `getTabbedDialogMarginY` in class `LayoutStyle`
  Returns:
    the vertical margin for dialogs that consist of a tabbed pane
  See Also:
    `LayoutStyle.getTabbedDialogMarginX()`, `LayoutStyle.getDialogMarginY()`

### getLabelComponentPadX

    public ConstantSize getLabelComponentPadX()

  Description copied from class: `LayoutStyle`
  Returns a gap used to separate a label and associated control.

  Specified by:
    `getLabelComponentPadX` in class `LayoutStyle`
  Returns:
    a gap between label and associated control
  See Also:
    `LayoutStyle.getRelatedComponentsPadX()`, `LayoutStyle.getUnrelatedComponentsPadX()`

### getLabelComponentPadY

    public ConstantSize getLabelComponentPadY()

  Description copied from class: `LayoutStyle`
  Returns a gap used to separate a label and associated control.

  Specified by:
    `getLabelComponentPadY` in class `LayoutStyle`
  Returns:
    a gap between label and associated control
  See Also:
    `LayoutStyle.getRelatedComponentsPadY()`, `LayoutStyle.getUnrelatedComponentsPadY()`

### getRelatedComponentsPadX

    public ConstantSize getRelatedComponentsPadX()

  Description copied from class: `LayoutStyle`
  Returns a horizontal gap used to separate related controls.

  Specified by:
    `getRelatedComponentsPadX` in class `LayoutStyle`
  Returns:
    a horizontal gap between related controls
  See Also:
    `LayoutStyle.getLabelComponentPadX()`, `LayoutStyle.getRelatedComponentsPadY()`, `LayoutStyle.getUnrelatedComponentsPadX()`

### getRelatedComponentsPadY

    public ConstantSize getRelatedComponentsPadY()

  Description copied from class: `LayoutStyle`
  Returns a vertical gap used to separate related controls.

  Specified by:
    `getRelatedComponentsPadY` in class `LayoutStyle`
  Returns:
    a vertical gap between related controls
  See Also:
    `LayoutStyle.getRelatedComponentsPadX()`, `LayoutStyle.getUnrelatedComponentsPadY()`

### getUnrelatedComponentsPadX

    public ConstantSize getUnrelatedComponentsPadX()

  Description copied from class: `LayoutStyle`
  Returns a horizontal gap used to separate unrelated controls.

  Specified by:
    `getUnrelatedComponentsPadX` in class `LayoutStyle`
  Returns:
    a horizontal gap between unrelated controls
  See Also:
    `LayoutStyle.getLabelComponentPadX()`, `LayoutStyle.getUnrelatedComponentsPadY()`, `LayoutStyle.getRelatedComponentsPadX()`

### getUnrelatedComponentsPadY

    public ConstantSize getUnrelatedComponentsPadY()

  Description copied from class: `LayoutStyle`
  Returns a vertical gap used to separate unrelated controls.

  Specified by:
    `getUnrelatedComponentsPadY` in class `LayoutStyle`
  Returns:
    a vertical gap between unrelated controls
  See Also:
    `LayoutStyle.getUnrelatedComponentsPadX()`, `LayoutStyle.getRelatedComponentsPadY()`

### getNarrowLinePad

    public ConstantSize getNarrowLinePad()

  Description copied from class: `LayoutStyle`
  Returns a narrow vertical pad used to separate lines.

  Specified by:
    `getNarrowLinePad` in class `LayoutStyle`
  Returns:
    a narrow vertical pad used to separate lines
  See Also:
    `LayoutStyle.getLinePad()`, `LayoutStyle.getParagraphPad()`

### getLinePad

    public ConstantSize getLinePad()

  Description copied from class: `LayoutStyle`
  Returns a narrow vertical pad used to separate lines.

  Specified by:
    `getLinePad` in class `LayoutStyle`
  Returns:
    a vertical pad used to separate lines
  See Also:
    `LayoutStyle.getNarrowLinePad()`, `LayoutStyle.getParagraphPad()`

### getParagraphPad

    public ConstantSize getParagraphPad()

  Description copied from class: `LayoutStyle`
  Returns a pad used to separate paragraphs.

  Specified by:
    `getParagraphPad` in class `LayoutStyle`
  Returns:
    a vertical pad used to separate paragraphs
  See Also:
    `LayoutStyle.getNarrowLinePad()`, `LayoutStyle.getLinePad()`

### getButtonBarPad

    public ConstantSize getButtonBarPad()

  Description copied from class: `LayoutStyle`
  Returns a pad used to separate a button bar from a component.

  Specified by:
    `getButtonBarPad` in class `LayoutStyle`
  Returns:
    a vertical pad used to separate paragraphs
  See Also:
    `LayoutStyle.getRelatedComponentsPadY()`, `LayoutStyle.getUnrelatedComponentsPadY()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2012 JGoodies Karsten Lentzsch. All Rights Reserved.